opendocument.py File Reference

Go to the source code of this file.

## Classes

class | odf.opendocument.OpaqueObject
| just a record to bear a filename, a mediatype and a bytes content More...
class | odf.opendocument.OpenDocument
| A class to hold the content of an OpenDocument document Use the xml method to write the XML source to the screen or to a file. More...

## Namespaces

| odf.opendocument

## Functions

def | odf.opendocument.OpenDocumentChart ()
| Creates a chart document. More...
def | odf.opendocument.OpenDocumentDrawing ()
| Creates a drawing document. More...
def | odf.opendocument.OpenDocumentImage ()
| Creates an image document. More...
def | odf.opendocument.OpenDocumentPresentation ()
| Creates a presentation document. More...
def | odf.opendocument.OpenDocumentSpreadsheet ()
| Creates a spreadsheet document. More...
def | odf.opendocument.OpenDocumentText ()
| Creates a text document. More...
def | odf.opendocument.OpenDocumentTextMaster ()
| Creates a text master document. More...
def | odf.opendocument.load (odffile)
| Load an ODF file into memory. More...

## Variables

string | odf.opendocument.__doc__ = """Use OpenDocument to generate your documents."""
| odf.opendocument.unicode = str
| odf.opendocument.__version__ = TOOLSVERSION
string | odf.opendocument._XMLPROLOGUE = u"<?xml version='1.0' encoding='UTF-8'?>\n"
int | odf.opendocument.UNIXPERMS = 2175008768
| file permission as an integer value. More...
int | odf.opendocument.IS_FILENAME = 0
int | odf.opendocument.IS_IMAGE = 1
dictionary | odf.opendocument.odmimetypes
| mime-types => file extensions More...